SQ(1)

NAME
sq key subkey revoke - Revoke a subkey

SYNOPSIS
sq key subkey revoke [OPTIONS] FINGERPRINT|KEYID REASON MESSAGE

DESCRIPTION
Revoke a subkey.

Creates a revocation certificate for a subkey.

If `--revoker` or `--revoker-file` is provided, then that key is used to create the revocation certificate. If that key is different from the certificate that is being revoked, this results in a third-party revocation. This is normally only useful if the owner of the certificate designated the key to be a designated revoker.

`sq key subkey revoke` respects the reference time set by the top-level `--time` argument. When set, it uses the specified time instead of the current time when determining what keys are valid, and it sets the revocation certificate's creation time to the reference time instead of the current time.

OPTIONS

  Subcommand options

-B, --binary
    Emit binary data

--cert=FINGERPRINT|KEYID
    Revoke the subkey on the specified certificate

--cert-file=CERT_FILE
    Revoke the subkey on the specified certificate.

    Read the certificate whose subkey should be revoked from FILE or stdin, if `-`. It is an error for the file to contain more than one certificate.

--notation NAME VALUE
    Add a notation to the certification.

    A user-defined notation's name must be of the form `name@a.domain.you.control.org`. If the notation's name starts with a `!`, then the notation is marked as being critical. If a consumer of a signature doesn't understand a critical notation, then it will ignore the signature. The notation is marked as being human readable.

-o, --output=FILE
    Write to the specified FILE.

    If not specified, and the certificate was read from the certificate store, imports the modified certificate into the cert store. If not specified, and the certificate was read from a file, writes the modified certificate to stdout.

--revoker=FINGERPRINT|KEYID
    The certificate that issues the revocation.

    Sign the revocation certificate using the specified key. By default, the certificate being revoked is used. Using this option, it is possible to create a third-party revocation.

--revoker-file=KEY_FILE
    The certificate that issues the revocation.

    Sign the revocation certificate using the specified key. By default, the certificate being revoked is used. Using this option, it is possible to create a third-party revocation.

    Read the certificate from KEY_FILE or stdin, if `-`. It is an error for the file to contain more than one certificate.

FINGERPRINT|KEYID
    The subkey to revoke

REASON
    The reason for the revocation.

    If the reason happened in the past, you should specify that using the `--time` argument. This allows OpenPGP implementations to more accurately reason about artifacts whose validity depends on the validity of the user ID.

    [possible values: compromised, superseded, retired, unspecified]

MESSAGE
    A short, explanatory text.

    The text is shown to a viewer of the revocation certificate, and explains why the subkey has been revoked. For instance, if Alice has created a new key, she would generate a `superseded` revocation certificate for her old key, and might include the message "I've created a new subkey, please refresh the certificate."

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Import Alice's key.

    sq key import alice-secret.pgp

Alice revokes her signing subkey.

    sq key subkey revoke --cert \
        EB28F26E2739A4870ECC47726F0073F60FD0CBF0 \
        42020B87D51877E5AF8D272124F3955B0B8DECC8 retired \
        "Subkey rotation."

SEE ALSO
sq(1), sq-key(1), sq-key-subkey(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.37.0 (sequoia-openpgp 1.20.0)